Bug 12059 - update_num_read_oplocks
update_num_read_oplocks
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.2.9
x64 Linux
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-01 10:43 UTC by Mark Henderson
Modified: 2016-08-01 11:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Henderson 2016-08-01 10:43:47 UTC
Every few seconds getting this error in log.samba
[2016/08/01 10:59:00.092875,  0] ../source4/rpc_server/common/forward.c:51(dcesrv_irpc_forward_callback)
  IRPC callback failed for DsReplicaSync - NT_STATUS_OBJECT_NAME_NOT_FOUND


we are having coredumps thrown into cores every few seconds too, related to this panic. 

[2016/07/28 10:41:30.627293,  0] ../source3/smbd/oplock.c:193(update_num_read_oplocks)
  PANIC: assert failed at ../source3/smbd/oplock.c(193): d->num_share_modes == 1
[2016/07/28 10:41:30.627369,  0] ../source3/lib/util.c:788(smb_panic_s3)
  PANIC (pid 9433): assert failed: d->num_share_modes == 1
[2016/07/28 10:41:30.628130,  0] ../source3/lib/util.c:899(log_stack_trace)
  BACKTRACE: 27 stack frames:
   #0 /usr/lib64/samba/libsmbconf.so.0(log_stack_trace+0x1c) [0x7fe735a5cd6c]
   #1 /usr/lib64/samba/libsmbconf.so.0(smb_panic_s3+0x55) [0x7fe735a5ce6e]
   #2 /usr/lib64/samba/libsamba-util.so.0(smb_panic+0x35) [0x7fe737cfb43e]
   #3 /usr/lib64/samba/libsmbd-base-samba4.so(update_num_read_oplocks+0x9a) [0x7fe73792689e]
   #4 /usr/lib64/samba/libsmbd-base-samba4.so(+0x105ddd) [0x7fe7378d0ddd]
   #5 /usr/lib64/samba/libsmbd-base-samba4.so(+0x107889) [0x7fe7378d2889]
   #6 /usr/lib64/samba/libsmbd-base-samba4.so(create_file_default+0x28b) [0x7fe7378d34f0]
   #7 /usr/lib64/samba/libsmbd-base-samba4.so(+0x1da6ab) [0x7fe7379a56ab]
   #8 /usr/lib64/samba/libsmbd-base-samba4.so(smb_vfs_call_create_file+0xd4) [0x7fe7378d9197]
   #9 /usr/lib64/samba/libsmbd-base-samba4.so(smbd_smb2_request_process_create+0x20ad) [0x7fe73790840a]
   #10 /usr/lib64/samba/libsmbd-base-samba4.so(smbd_smb2_request_dispatch+0xbcb) [0x7fe7378ffafd]
   #11 /usr/lib64/samba/libsmbd-base-samba4.so(+0x136202) [0x7fe737901202]
   #12 /usr/lib64/samba/libsmbconf.so.0(run_events_poll+0x2c2) [0x7fe735a7262f]
   #13 /usr/lib64/samba/libsmbconf.so.0(+0x37a77) [0x7fe735a72a77]
   #14 /usr/lib64/samba/libtevent.so.0(_tevent_loop_once+0x92) [0x7fe736fac917]
   #15 /usr/lib64/samba/libtevent.so.0(tevent_common_loop_wait+0x17) [0x7fe736fac982]
   #16 /usr/lib64/samba/libtevent.so.0(_tevent_loop_wait+0xa) [0x7fe736fac71b]
   #17 /usr/lib64/samba/libsmbd-base-samba4.so(smbd_process+0x91a) [0x7fe7378ece82]
   #18 /usr/sbin/smbd(+0x93d9) [0x7fe7383533d9]
   #19 /usr/lib64/samba/libsmbconf.so.0(run_events_poll+0x2c2) [0x7fe735a7262f]
   #20 /usr/lib64/samba/libsmbconf.so.0(+0x37a77) [0x7fe735a72a77]
   #21 /usr/lib64/samba/libtevent.so.0(_tevent_loop_once+0x92) [0x7fe736fac917]
   #22 /usr/lib64/samba/libtevent.so.0(tevent_common_loop_wait+0x17) [0x7fe736fac982]
   #23 /usr/lib64/samba/libtevent.so.0(_tevent_loop_wait+0xa) [0x7fe736fac71b]
   #24 /usr/sbin/smbd(main+0x1922) [0x7fe7383551d1]
   #25 /lib64/libc.so.6(__libc_start_main+0xfd) [0x7fe734558cdd]
   #26 /usr/sbin/smbd(+0x5e09) [0x7fe73834fe09]

Any help would be greatly appreciated.
Comment 1 Volker Lendecke 2016-08-01 11:10:37 UTC
Fixed in 4.3 and later with commit 6d9dbe9